Samba Pipe dlopen Remote Code Execution Exploit

This module installs a level0 agent by writing a .so library and requesting an open pipe on the remote host.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2017-7494
Product Version: 
2017_R1
Released Date: 
Monday, May 29, 2017 - 00:00